La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const customer = await lapyme.customers.getCustomerById({
customerId: "9c692e8b-0f9a-4f7c-8b99-061a2eb188ae",
});curl --request GET \
--url https://api.lapyme.com.ar/api/v1/customers/{customer_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lapyme.com.ar/api/v1/customers/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lapyme.com.ar/api/v1/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"company_name": "<string>",
"description": "<string>",
"email": "<string>",
"phone": "<string>",
"address": "<string>",
"apartment": "<string>",
"city": "<string>",
"delivery_carrier": "<string>",
"delivery_address": "<string>",
"tax_id": "<string>",
"tax_id_type": "<string>",
"tax_category": "<string>",
"contact_type": "<string>",
"default_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_term_id": "<string>",
"payment_term_days": 182,
"province_id": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
{
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"country": "<string>",
"postal_code": "<string>",
"assigned_salesperson_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_ganancias_regimen": "<string>",
"assigned_salesperson": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>"
},
"default_price_list": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sales_overview": {
"pending_balance": 123,
"sales_count": 1,
"total_sales": 123,
"recent_sales": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voucher_type": "<string>",
"invoice_status": "<string>",
"invoice_date": "<string>",
"currency": "<string>",
"total": 123,
"formatted_invoice_number": "<string>",
"original_sale_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}
}{
"request_id": "req_customer_detail_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid parameters for retrieving the customer",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_customer_detail_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_customer_detail_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_customer_detail_1",
"error": {
"code": "NOT_FOUND",
"message": "Customer not found",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_customer_detail_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not retrieve the customer",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}Obtener cliente por ID
Devuelve los datos del cliente.
GET
/
api
/
v1
/
customers
/
{customer_id}
La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const customer = await lapyme.customers.getCustomerById({
customerId: "9c692e8b-0f9a-4f7c-8b99-061a2eb188ae",
});Was this page helpful?
⌘I

